Index: /trunk/contactcenter/inc/class.bo_people_catalog.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_people_catalog.inc.php	(revision 5131)
+++ /trunk/contactcenter/inc/class.bo_people_catalog.inc.php	(revision 7655)
@@ -355,5 +355,5 @@
 					$return['relation'.$count]['type'] = $relation->get_type_name(); 
 					$return['relation'.$count]['is_subordinated'] = $relation->get_is_subordinated();
-					$count++;
+					++$count;
 				}
 				else if ($extra !== 'subordinated')
@@ -363,5 +363,5 @@
 					$return['relation'.$count]['type'] = $relation->get_type_name(); 
 					$return['relation'.$count]['is_subordinated'] = $relation->get_is_subordinated();
-					$count++;
+					++$count;
 				}
 			}
@@ -541,5 +541,5 @@
 						$return['connection'.$count]['connection_value'] = $connection->get_value();
 						$return['connection'.$count]['connection_is_default'] = $connection->is_default();
-						$count++;
+						++$count;
 					}
 					else if ($extra !== 'default')
@@ -552,5 +552,5 @@
 						$return['connection'.$count]['connection_value'] = $connection->get_value();
 						$return['connection'.$count]['connection_is_default'] = $connection->is_default();
-						$count++;
+						++$count;
 					}
 				}
@@ -674,5 +674,5 @@
 					$return['company'.$count]['default_company'] = $value['default_company'];
 					$return['company'.$count]['default_contact'] = $value['default_contact'];
-					$count++;
+					++$count;
 				}
 				else if ($extra !== 'default')
@@ -684,5 +684,5 @@
 					$return['company'.$count]['default_company'] = $value['default_company'];
 					$return['company'.$count]['default_contact'] = $value['default_contact'];
-					$count++;
+					++$count;
 				}
 			}
@@ -1246,5 +1246,5 @@
 			 		'connection_is_default' => 1,
 		 		);
-				$i++;
+				++$i;
 			}
 			
@@ -1257,5 +1257,5 @@
 			 		'connection_is_default' => 0,
 		 		);
-				$i++;
+				++$i;
 			}
 							
@@ -1273,5 +1273,5 @@
 				{
 					if($connection_fields['connection_value'] != ''){
-						$i++;
+						++$i;
 						$new_data['connections']['connection'.$i] = array(
 				 		'id_typeof_connection'  => $preferences['personCardPhone'],
@@ -1288,5 +1288,5 @@
 				foreach($data['connections']['aditional_phone'] as $connection_name => $connection_fields)
 				{
-					$i++;
+					++$i;
 					$new_data['connections']['connection'.$i] = array(
 			 		'id_typeof_connection'  => $preferences['personCardPhone'],
@@ -1310,5 +1310,5 @@
 			 		'address_is_default' => 0,
 		 		);
-				$i++;
+				++$i;
 			
 		 		$new_data['addresses']['address'.$i] = array(
@@ -1323,5 +1323,5 @@
 			 		'address_is_default' => 1,
 		 		);							
-				$i++;
+				++$i;
 			}
 
@@ -1342,5 +1342,5 @@
 					'address_is_default'	=> 'false',
 				);
-				$j++;
+				++$j;
 			}*/
 
Index: /trunk/contactcenter/inc/class.ui_api.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_api.inc.php	(revision 7497)
+++ /trunk/contactcenter/inc/class.ui_api.inc.php	(revision 7655)
@@ -291,5 +291,5 @@
 						$date[$j]['name'] = lang('Day');
 				}
-				$j++;
+				++$j;
 			}
 			
@@ -416,5 +416,5 @@
 			$fieldsTop = 10;
 			$fieldsSpace = 30;
-			for ($i = 0; $i < $nFields; $i++)
+			for ($i = 0; $i < $nFields; ++$i)
 			{
 				$fieldsHTML .= '<span id="ccQuickAddT'.$i.'" style="position: absolute; top: '.($fieldsTop+$i*$fieldsSpace).'px; left: 5px; width: 100px; text-align: right; border: 0px solid #999;">'.$fields[$i].':</span>'."\n";
Index: /trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 5928)
+++ /trunk/contactcenter/inc/class.ui_data.inc.php	(revision 7655)
@@ -735,5 +735,5 @@
 				{
 					$validos[$uid_relacionado] = $perms_relacao[$uid_relacionado];
-					$count++;
+                    ++$count;
 				}
 			}
@@ -812,5 +812,5 @@
 								{
 									$validos[$uid_relacionado] = $perms_relacao[$uid_relacionado];
-									$count++;
+                                    ++$count;
 								}
 							}
@@ -833,5 +833,5 @@
                                         			$infos = ldap_get_entries($s, $r);
                                         			ldap_close($s);
-                                        			for($z = 0; $z < $infos['count']; $z++) {
+                                        			for($z = 0; $z < $infos['count']; ++$z) {
                                                 			$prop_names[$infos[$z]['uidnumber'][0]] = array("cn" => $infos[$z]['cn'][0], "uid" => $infos[$z]['uid'][0]);
                                         			}
@@ -1412,5 +1412,5 @@
 				}
 
-				for($i = $id_i; $i < $id_f and $i < $n_entries; $i++)
+				for($i = $id_i; $i < $id_f and $i < $n_entries; ++$i)
 				{
 /**rev 104**/
@@ -1449,5 +1449,5 @@
 					$info = ldap_get_entries($ds, $sr);
 					ldap_close($ds);
-					for($z = 0; $z < $info['count']; $z++) {
+					for($z = 0; $z < $info['count']; ++$z) {
 						$owner_names[$info[$z]['uidnumber'][0]] = array("cn" => $info[$z]['cn'][0], "uid" => $info[$z]['uid'][0]);
 					}
@@ -1463,5 +1463,5 @@
 								$info = ldap_get_entries($ds, $sr);
 								ldap_close($ds);
-								for($z = 0; $z < $info['count']; $z++) {
+								for($z = 0; $z < $info['count']; ++$z) {
 									$owner_names[$info[$z]['uidnumber'][0]] = array("cn" => $info[$z]['cn'][0], "uid" => $info[$z]['uid'][0]);
 								}	
@@ -1478,5 +1478,5 @@
 
 				/// Original
-				//for($i = $id_i; $i < $id_f and $i < $n_entries; $i++)
+				//for($i = $id_i; $i < $id_f and $i < $n_entries; ++$i)
 				//{
 				//	$ids[] = $this->page_info['actual_entries'][$i];
@@ -1518,6 +1518,6 @@
 							$final[3][$i][6] = $owner_names[$owners[$i]]['uid'];
 							$final[3][$i][7] = $owners[$i]; //uidNumber
-						}						
-						$i++;							
+						}
+                        ++$i;
 					}
 
@@ -1683,8 +1683,8 @@
 
 						$final[4][$i] = $contact['photo'] ? 1  : 0;
-						
-
-
-						$i++;
+
+
+
+                        ++$i;
 					}
 					else
@@ -1742,5 +1742,5 @@
 				$sr = ldap_search($ds,$dn, $filter,$justThese);
 				$info = ldap_get_entries($ds, $sr);
-				for($z = 0; $z < $info['count']; $z++) {
+				for($z = 0; $z < $info['count']; ++$z) {
 					$owner_names[$info[$z]['uidnumber'][0]] = array("cn" => $info[$z]['cn'][0], "uid" => $info[$z]['uid'][0]);
 				}
@@ -1753,5 +1753,5 @@
 							$info = ldap_get_entries($ds, $sr);
 							ldap_close($ds);
-							for($z = 0; $z < $info['count']; $z++) {
+							for($z = 0; $z < $info['count']; ++$z) {
 								$owner_names[$info[$z]['uidnumber'][0]] = array("cn" => $info[$z]['cn'][0], "uid" => $info[$z]['uid'][0]);
 							}
@@ -1859,5 +1859,5 @@
 						$birthdate[$j] = $date[2];
 				}
-				$j++;
+                ++$j;
 			}
 			$datecount = 0;
@@ -1938,5 +1938,5 @@
 					'short_name' 	=> $group['short_name']
 				);
-				$i++;
+                ++$i;
 			}
 
@@ -1983,5 +1983,5 @@
 				}
 
-				$i++;
+                ++$i;
 			}
 
@@ -2118,5 +2118,5 @@
 
                         $actualCatalog = $this->get_actual_catalog();
-                        for ($i = 0; $i < count($data['contact_in_list']); $i++)
+                        for ($i = 0; $i < count($data['contact_in_list']); ++$i)
                         {
                             if (preg_match('/ldap:.*:.*/', $data['contact_in_list'][$i])) // from ldap
@@ -2357,5 +2357,5 @@
 				sleep(1);
 				$photo_ok = $GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter');
-				$sleep_count++;
+                ++$sleep_count;
 
 				if ($sleep_count > 35)
@@ -2410,5 +2410,5 @@
 						$date[$j]['digit'] = 'D';
 				}
-				$j++;
+                ++$j;
 			}
 			$datecount = 0;
@@ -2420,5 +2420,5 @@
 				$aa = count($dataConn);
 
-				for($i = 0; $i < $aa; $i++ )
+				for($i = 0; $i < $aa; ++$i )
 				{
 				    if($dataConn['connection'.$i]['connection_is_default'] == "TRUE")
@@ -2480,6 +2480,6 @@
 							unset($data[$field]);
 						}
-						
-						$datecount++;
+
+                        ++$datecount;
 
 						if ($datecount != 3)
@@ -2666,5 +2666,5 @@
 				sleep(1);
 				$photo_ok = $GLOBALS['phpgw']->session->appsession('ui_data.photo','contactcenter');
-				$sleep_count++;
+                ++$sleep_count;
 
 				if ($sleep_count > 35)
@@ -2719,5 +2719,5 @@
 						$date[$j]['digit'] = 'D';
 				}
-				$j++;
+                ++$j;
 			}
 			$datecount = 0;
@@ -2730,5 +2730,5 @@
 				$aa = count($dataConn);
 
-				for($i = 0; $i < $aa; $i++ )
+				for($i = 0; $i < $aa; ++$i )
 				{
 				    if($dataConn['connection'.$i]['connection_is_default'] == "TRUE")
@@ -2792,5 +2792,5 @@
 						}
 						unset($data[$field]);
-						$datecount++;
+                        ++$datecount;
 
 						if ($datecount != 3)
@@ -3626,5 +3626,5 @@
 
 							$jsCode[] = '_this.entries.options[_this.entries.options.length] = new Option("'.$optionName.' ('.$value.')", "'.$count.'");';
-							$count++;
+                            ++$count;
 						}
 					}
@@ -3643,5 +3643,5 @@
 								if ($connection['id_type'] == $this->preferences['personCardEmail'])	{
 									$jsCode[] = '_this.entries.options[_this.entries.options.length] = new Option("'.$name.' <'.$connection['connection_value'].'>", "'.$count.'");';
-									$count++;
+                                    ++$count;
 								}
 							}
@@ -3759,5 +3759,5 @@
 			$sr = ldap_read($ds,$id, "objectClass=*",$justThese);
 			$info = ldap_get_entries($ds, $sr);
-			for($z = 0; $z < 5; $z++) {
+			for($z = 0; $z < 5; ++$z) {
 				$participant = $info[0][$justThese[$z]];
 				$participant[0] = utf8_decode($participant[0]);
@@ -3789,5 +3789,5 @@
 			$contact['names_ordered'] = $info[0]['description'];
 			$filter = "";
-			for($z = 0; $z < count($member_uids); $z++) {
+			for($z = 0; $z < count($member_uids); ++$z) {
 				if($member_uids[$z])
 					$filter.="(uid=".$member_uids[$z].")";
@@ -3802,5 +3802,5 @@
 				$sr = ldap_search($ds,$dn, $filter,$justThese);
 				$info = ldap_get_entries($ds, $sr);
-				for($z = 0; $z < $info['count']; $z++) {
+				for($z = 0; $z < $info['count']; ++$z) {
 					$participant =  '<font color=\'DARKBLUE\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&quot;'.$info[$z]['cn'][0].'&quot; &lt;'.$info[$z]['mail'][0].'&gt;</font><br>';
 				    $array_emails[$info[$z]['mail'][0]] = null;
@@ -3830,5 +3830,5 @@
 
 			$filter = null;
-			for($z = 0; $z < $contact['mail_forwarding_address']['count']; $z++) {
+			for($z = 0; $z < $contact['mail_forwarding_address']['count']; ++$z) {
 					if(strstr($contact['mail_forwarding_address'][$z],'@')) {
 						$filter.="(mail=".$contact['mail_forwarding_address'][$z].")";
@@ -3850,5 +3850,5 @@
 				$sr = ldap_search($ds,$dn, $filter,$justThese);
 				$info = ldap_get_entries($ds, $sr);
-				for($z = 0; $z < $info['count']; $z++) {
+				for($z = 0; $z < $info['count']; ++$z) {
 					$participant =  '<font color=\'DARKBLUE\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&quot;'.$info[$z]['cn'][0].'&quot; &lt;'.$info[$z]['mail'][0].'&gt;</font><br>';
 					$array_emails[$info[$z]['mail'][0]] = null;
@@ -4339,5 +4339,5 @@
              			$text = trim($matches[2]);
 
-                		$fields[$field_num++] = $value;
+                		$fields[++$field_num] = $value;
             		} else {
                 		preg_match('/^([^' . $re_d . ']*)' . $re_d . '?(.*)$/', $text, $matches);
@@ -4346,5 +4346,5 @@
                			$text = trim($matches[2]);
 
-              		  	$fields[$field_num++] = $value;
+              		  	$fields[++$field_num] = $value;
             	}
         	}
@@ -4806,5 +4806,5 @@
 			if ($info)
 			{
-				for ($i = 0; $i < count($justThese); $i++)
+				for ($i = 0; $i < count($justThese); ++$i)
 				{
 					$attr = array();
@@ -4814,5 +4814,5 @@
 						$attr['type'] = 'multivalues';
 						$attr['value'] = array();
-						for ($j = 0; $j < $info[0][$justThese[$i]]['count']; $j++)
+						for ($j = 0; $j < $info[0][$justThese[$i]]['count']; ++$j)
 							$attr['value'][] = utf8_decode($info[0][$justThese[$i]][$j]);
 					}
Index: /trunk/contactcenter/inc/class.bo_contactcenter.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_contactcenter.inc.php	(revision 3282)
+++ /trunk/contactcenter/inc/class.bo_contactcenter.inc.php	(revision 7655)
@@ -410,5 +410,5 @@
 
 					}
-					$i++;
+					++$i;
 				}
 			}
@@ -434,5 +434,5 @@
 						$this->tree[$i]['type'] = 'ldap';
 						$this->tree[$i]['src'] = $id;
-					$i++;
+					++$i;
 				}
 			}	
@@ -461,5 +461,5 @@
 			
 			$code = '$branch =& $this->tree[\'branches\']';
-			for ($i = 1; $i < $n_ways-1; $i++)
+			for ($i = 1; $i < $n_ways-1; ++$i)
 			{
 				$code .= '['.$path[$i].'][\'sub_branch\']';
Index: /trunk/emailadmin/inc/class.postfixldap.inc.php
===================================================================
--- /trunk/emailadmin/inc/class.postfixldap.inc.php	(revision 2)
+++ /trunk/emailadmin/inc/class.postfixldap.inc.php	(revision 7655)
@@ -78,5 +78,5 @@
 				{
 					$count = $allValues[0]['mailalternateaddress']['count'];
-					for($i=0; $i < $count; $i++)
+					for($i=0; $i < $count; ++$i)
 					{
 						$emailAddresses[] = array
Index: /trunk/emailadmin/inc/class.ui.inc.php
===================================================================
--- /trunk/emailadmin/inc/class.ui.inc.php	(revision 1523)
+++ /trunk/emailadmin/inc/class.ui.inc.php	(revision 7655)
@@ -240,5 +240,5 @@
 			if ($profileList)
 			{
-				for ($i=0; $i < count($profileList); $i++)
+				for ($i=0; $i < count($profileList); ++$i)
 				{
 					$linkData = array
Index: /trunk/emailadmin/inc/class.bo.inc.php
===================================================================
--- /trunk/emailadmin/inc/class.bo.inc.php	(revision 1523)
+++ /trunk/emailadmin/inc/class.bo.inc.php	(revision 7655)
@@ -397,5 +397,5 @@
 							$newMailAlternateAddress[$i]=$value;
 							#print "!! $i: $value<br>";
-							$i++;
+							++$i;
 						}
 					}
@@ -432,5 +432,5 @@
 						{
 							$newMailRoutingAddress[$i]=$value;
-							$i++;
+							++$i;
 						}
 					}
Index: /trunk/emailadmin/inc/class.so.inc.php
===================================================================
--- /trunk/emailadmin/inc/class.so.inc.php	(revision 2)
+++ /trunk/emailadmin/inc/class.so.inc.php	(revision 7655)
@@ -125,5 +125,5 @@
 				$serverList[$i]['imapType']    = $this->db->f(4);
 				$serverList[$i]['description'] = $this->db->f(5);
-				$i++;
+				++$i;
 			}
 			
Index: /trunk/emailadmin/inc/class.uiuserdata.inc.php
===================================================================
--- /trunk/emailadmin/inc/class.uiuserdata.inc.php	(revision 2)
+++ /trunk/emailadmin/inc/class.uiuserdata.inc.php	(revision 7655)
@@ -78,5 +78,5 @@
 				{
 					$options_mailAlternateAddress = "<select size=\"6\" name=\"mailAlternateAddress\">\n";
-					for ($i=0;$i < count($userData['mailAlternateAddress']); $i++)
+					for ($i=0;$i < count($userData['mailAlternateAddress']); ++$i)
 					{
 						$options_mailAlternateAddress .= "<option value=\"$i\">".
@@ -94,5 +94,5 @@
 				{
 					$options_mailRoutingAddress = "<select size=\"6\" name=\"mailRoutingAddress\">\n";
-					for ($i=0;$i < count($userData['mailRoutingAddress']); $i++)
+					for ($i=0;$i < count($userData['mailRoutingAddress']); ++$i)
 					{
 						$options_mailRoutingAddress .= "<option value=\"$i\">".
Index: /trunk/setup/sqltoarray.php
===================================================================
--- /trunk/setup/sqltoarray.php	(revision 2)
+++ /trunk/setup/sqltoarray.php	(revision 7655)
@@ -189,5 +189,5 @@
 			while(list($key,$table) = @each($tables))
 			{
-				$i++;
+                ++$i;
 				if($i == $tbls)
 				{
Index: /trunk/setup/manageheader.php
===================================================================
--- /trunk/setup/manageheader.php	(revision 6164)
+++ /trunk/setup/manageheader.php	(revision 7655)
@@ -507,5 +507,5 @@
 				);
 
-				for($i=0; $i<30; $i++)
+				for($i=0; $i<30; ++$i)
 				{
 					$GLOBALS['phpgw_info']['server']['mcrypt_iv'] .= $random_char[rand(1,count($random_char))];
Index: /trunk/setup/config.php
===================================================================
--- /trunk/setup/config.php	(revision 5781)
+++ /trunk/setup/config.php	(revision 7655)
@@ -241,5 +241,5 @@
 					$newvals = explode(' ',$newval);
 					$setting = end($newvals);
-					for($i=0;$i<(count($newvals) - 1); $i++)
+					for($i=0;$i<(count($newvals) - 1); ++$i)
 					{
 						$configs[] = $newvals[$i];
Index: /trunk/setup/ldapimport.php
===================================================================
--- /trunk/setup/ldapimport.php	(revision 328)
+++ /trunk/setup/ldapimport.php	(revision 7655)
@@ -90,5 +90,5 @@
 	$tmp = '';
 
-	for($i=0; $i<$info['count']; $i++)
+	for($i=0; $i<$info['count']; ++$i)
 	{
 		if(!$phpgw_info['server']['global_denied_users'][$info[$i]['uid'][0]])
@@ -109,5 +109,5 @@
 		$tmp = '';
 
-		for($i=0; $i<$info['count']; $i++)
+		for($i=0; $i<$info['count']; ++$i)
 		{
 			if(!$phpgw_info['server']['global_denied_groups'][$info[$i]['cn'][0]] &&
@@ -216,5 +216,5 @@
 						// This is typically an exception to apps for run rights
 						//  as a group member.
-						for($a=0;$a<count($admins);$a++)
+						for($a=0;$a<count($admins);++$a)
 						{
 							if($admins[$a] == $thisacctlid)
Index: /trunk/setup/applications.php
===================================================================
--- /trunk/setup/applications.php	(revision 6528)
+++ /trunk/setup/applications.php	(revision 7655)
@@ -327,5 +327,5 @@
 					list($depapp,$depver) = parsedep($setup_info[$resolve]['depends'],False);
                                 $depapp_count = count($depapp);
-					for ($i=0; $i<$depapp_count; $i++)
+					for ($i=0; $i<$depapp_count; ++$i)
 					{
 						echo '<br>' . $depapp[$i] . ': ';
Index: /trunk/setup/ldapmodify.php
===================================================================
--- /trunk/setup/ldapmodify.php	(revision 3664)
+++ /trunk/setup/ldapmodify.php	(revision 7655)
@@ -84,5 +84,5 @@
 
 	$account_info = array( );
-	for ( $i = 0; $i < $info[ 'count' ]; $i++ )
+	for ( $i = 0; $i < $info[ 'count' ]; ++$i )
 		if ( ! array_key_exists( $info[ $i ][ 'uid' ][ 0 ], $phpgw_info[ 'server' ][ 'global_denied_users' ] ) )
 			$account_info[ $info[ $i ][ 'dn' ] ] = $info[ $i ];
@@ -97,5 +97,5 @@
 		$tmp = '';
 
-		for ( $i = 0; $i < $info[ 'count' ]; $i++ )
+		for ( $i = 0; $i < $info[ 'count' ]; ++$i )
 			if ( ! array_key_exists( $info[ $i ][ 'cn' ][ 0 ], $phpgw_info[ 'server' ][ 'global_denied_groups' ] ) )
 				$group_info[ $info[ $i ][ 'dn' ] ] = $info[ $i ];
@@ -269,5 +269,5 @@
 						if ( !empty($thisacctid) && !empty($thisacctlid))
 						{
-							$users_process++;
+                            ++$users_process;
 
 							$add = array( );
@@ -310,5 +310,5 @@
 							$acl -> save_repository( );
 
-							$new_uidnumber++;
+                            ++$new_uidnumber;
 						}
 
Index: /trunk/preferences/handlecertificate.php
===================================================================
--- /trunk/preferences/handlecertificate.php	(revision 4127)
+++ /trunk/preferences/handlecertificate.php	(revision 7655)
@@ -140,5 +140,5 @@
             {
                     $var_tokens = '';
-                    for($ii = 1; $ii < 11; $ii++)
+                    for($ii = 1; $ii < 11; ++$ii)
                     {
                             if($GLOBALS['phpgw_info']['server']['test_token' . $ii . '1'])
Index: /trunk/preferences/inc/class.uiaclprefs.inc.php
===================================================================
--- /trunk/preferences/inc/class.uiaclprefs.inc.php	(revision 6057)
+++ /trunk/preferences/inc/class.uiaclprefs.inc.php	(revision 7655)
@@ -88,5 +88,5 @@
 				{
 					$just_owner_array[$cont] = $repository;
-					$cont++;
+					++$cont;
 				}
 			}
@@ -113,5 +113,5 @@
 				}
 				
-				for($i=0;$i<count($to_remove);$i++) {
+				for($i=0;$i<count($to_remove);++$i) {
 					
 					if(!array_key_exists((int)$to_remove[$i],$keys_to_keep)) {
Index: /trunk/preferences/inc/class.uicategories.inc.php
===================================================================
--- /trunk/preferences/inc/class.uicategories.inc.php	(revision 5129)
+++ /trunk/preferences/inc/class.uicategories.inc.php	(revision 7655)
@@ -83,5 +83,5 @@
 		function cat_data($edata,$data)
 		{
-			for ($j=0;$j<count($edata);$j++)
+			for ($j=0;$j<count($edata);++$j)
 			{
 				$td_data .= '<td>' . $data[$edata[$j]] . '</td>' . "\n";
@@ -169,5 +169,5 @@
 			if (is_array($edata))
 			{
-				for($i=0;$i<count($edata);$i++)
+				for($i=0;$i<count($edata);++$i)
 				{
 					$GLOBALS['phpgw']->template->set_var('th_data','<td bgcolor="' . $GLOBALS['phpgw_info']['theme']['th_bg'] . '">' . lang($edata[$i]) . '</td>');
@@ -182,5 +182,5 @@
 // -------------------------- end header declaration --------------------------------------
 
-			for ($i=0;$i<count($cats);$i++)
+			for ($i=0;$i<count($cats);++$i)
 			{
 				$this->nextmatchs->template_alternate_row_color($GLOBALS['phpgw']->template);
@@ -375,5 +375,5 @@
 			{
 				$edata = explode(',',$extra);
-				for($i=0;$i<count($edata);$i++)
+				for($i=0;$i<count($edata);++$i)
 				{
 					$GLOBALS['phpgw']->template->set_var('tr_color',$GLOBALS['phpgw']->nextmatchs->alternate_row_color());
@@ -506,5 +506,5 @@
 
 				$data = unserialize($cats[0]['data']);
-				for($i=0;$i<count($edata);$i++)
+				for($i=0;$i<count($edata);++$i)
 				{
 					$GLOBALS['phpgw']->template->set_var('td_data','<input name="cat_data[' . $edata[$i] . ']" size="50" value="' . $data[$edata[$i]] . '">');
Index: /trunk/preferences/inc/hook_settings.inc.php
===================================================================
--- /trunk/preferences/inc/hook_settings.inc.php	(revision 143)
+++ /trunk/preferences/inc/hook_settings.inc.php	(revision 7655)
@@ -48,5 +48,5 @@
 		$format .= 'H:i';
 	}
-	for ($i = -23; $i<24; $i++)
+	for ($i = -23; $i<24; ++$i)
 	{
 		$t = time() + $i * 60*60;
Index: /trunk/prototype/plugins/davicalCliente/XMLElement.php
===================================================================
--- /trunk/prototype/plugins/davicalCliente/XMLElement.php	(revision 5399)
+++ /trunk/prototype/plugins/davicalCliente/XMLElement.php	(revision 7655)
@@ -318,5 +318,5 @@
   if ( !isset($start_from) ) $start_from = 0;
 
-  for( $i=0; $i < 50000 && isset($xmltags[$start_from]); $i++) {
+  for( $i=0; $i < 50000 && isset($xmltags[$start_from]); ++$i) {
     $tagdata = $xmltags[$start_from++];
     if ( !isset($tagdata) || !isset($tagdata['tag']) || !isset($tagdata['type']) ) break;
Index: /trunk/prototype/plugins/davicalCliente/AWLUtilities.php
===================================================================
--- /trunk/prototype/plugins/davicalCliente/AWLUtilities.php	(revision 5399)
+++ /trunk/prototype/plugins/davicalCliente/AWLUtilities.php	(revision 7655)
@@ -542,5 +542,5 @@
     );
 
-    for( $i=160; $i < 256; $i++ ) {
+    for( $i=160; $i < 256; ++$i ) {
       $ch = chr($i);
       $byte_map[$ch] = iconv('ISO-8859-1', 'UTF-8', $ch);
Index: /trunk/prototype/plugins/davicalCliente/XMLDocument.php
===================================================================
--- /trunk/prototype/plugins/davicalCliente/XMLDocument.php	(revision 5399)
+++ /trunk/prototype/plugins/davicalCliente/XMLDocument.php	(revision 7655)
@@ -77,5 +77,5 @@
         $i = "";
         if ( isset($this->prefixes[$prefix]) ) {
-          for ( $i=1; $i<10 && isset($this->prefixes["$prefix$i"]); $i++ ) {
+          for ( $i=1; $i<10 && isset($this->prefixes["$prefix$i"]); ++$i ) {
           }
         }
Index: /trunk/prototype/plugins/icalcreator/iCalUtilityFunctions.class.php
===================================================================
--- /trunk/prototype/plugins/icalcreator/iCalUtilityFunctions.class.php	(revision 5341)
+++ /trunk/prototype/plugins/icalcreator/iCalUtilityFunctions.class.php	(revision 7655)
@@ -441,5 +441,5 @@
     $output = array();
     $val    = null;
-    for( $ix=0; $ix < strlen( $duration ); $ix++ ) {
+    for( $ix=0; $ix < strlen( $duration ); ++$ix ) {
       switch( strtoupper( substr( $duration, $ix, 1 ))) {
        case 'W':
@@ -839,5 +839,5 @@
         $yeardays   = $weekno = 0;
         $yeardaycnt = array();
-        for( $m = 1; $m <= 12; $m++ ) { // count up and update up-counters
+        for( $m = 1; $m <= 12; ++$m ) { // count up and update up-counters
           $daycnts[$m] = array();
           $weekdaycnt = array();
@@ -845,8 +845,8 @@
             $yeardaycnt[$dn] = $weekdaycnt[$dn] = 0;
           $mcnt     = date( 't', mktime( 0, 0, 0, $m, 1, $wdate['year'] ));
-          for( $d   = 1; $d <= $mcnt; $d++ ) {
+          for( $d   = 1; $d <= $mcnt; ++$d ) {
             $daycnts[$m][$d] = array();
             if( isset( $recur['BYYEARDAY'] )) {
-              $yeardays++;
+              ++$yeardays;
               $daycnts[$m][$d]['yearcnt_up'] = $yeardays;
             }
@@ -1026,5 +1026,5 @@
         else {
             /* update result array if BYSETPOS is set */
-          $countcnt++;
+          ++$countcnt;
           if( $startdatets <= $wdatets ) { // only output within period
             $result[$wdatets] = TRUE;
@@ -1089,5 +1089,5 @@
 // echo " recur ".implode('-',iCalUtilityFunctions::_date_time_string(date('Y-m-d H:i:s',$bysetposarr1[$ix]),6)); // test ###
               }
-              $countcnt++;
+              ++$countcnt;
             }
             if( isset( $recur['COUNT'] ) && ( $countcnt >= $recur['COUNT'] ))
